# classes/phing/types/selectors/AndSelector.php

This selector has a collection of other selectors, all of which have to select a file in order for this selector to select it.

author
  Hans Lellelid, hans@xmpl.org (Phing)
author
  Bruce Atherton (Ant)
package
  phing.types.selectors

## \AndSelector
jump to top

This selector has a collection of other selectors, all of which have to select a file in order for this selector to select it.

This class handles the common description attribute and provides a default implementation for reference handling and checking for circular references that is appropriate for types that can not be nested inside elements of the same type (i.e. patternset but not path)

Extends from
  \BaseSelectorContainer
author
  Hans Lellelid, hans@xmpl.org (Phing)
author
  Bruce Atherton (Ant)
package
  phing.types.selectors
version
  $Revision: 526 $

### Methods

`isSelected( \basedir $basedir, \filename $filename, \file $file ) : \whether`
Returns true (the file is selected) only if all other selectors agree that the file should be selected.
Parameters

Name | Type | Description
--- | --- | ---
$basedir | \basedir | the base directory the scan is being done from
$filename | \filename | the name of the file to check
$file | \file | a PhingFile object for the filename that the selector can use

Returns

Type | Description
--- | ---
\whether |

`toString( ) :`
Documentation was generated by DocBlox 0.13.1.